commit 1ed3ed39fc47058f56db11f0d59d586bdbb05050
Author: Matt Turner <mattst88@gmail.com>
Date:   Sat Oct 8 19:32:01 2022 -0400

    xf86-input-vmmouse 13.2.0
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit fa02334233a801046afa1f4655380335b3823d68
Author: Matt Turner <mattst88@gmail.com>
Date:   Mon Aug 22 21:42:30 2022 -0400

    tools: Fix declaration of xf86EnableIO()
    
    /usr/include/xorg/xf86_OSproc.h:115:23: error: type of 'xf86EnableIO' does not match original declaration [-Werror=lto-type-mismatch]
      115 | extern _X_EXPORT Bool xf86EnableIO(void);
          |                       ^
    vmmouse_iopl.c:125:6: note: return value type mismatch
      125 | bool xf86EnableIO(void)
          |      ^

commit 2ff6677768b49e9ecc54051432be3e8b771b24ca
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jul 18 16:09:53 2022 -0700

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 040f3b48aedb78eacb02bc5cd7d01d335e1c6943
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 16 13:07:26 2022 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d5bbd986b457f2fa217b2d2511104a1752c73240
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 25 13:02:26 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8823b14cbcaf0c9a52efa2c5092b90c45149b1d7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 5 16:28:12 2015 -0800

    Update "See Also" list in vmmouse_detect man page
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matthieu Herrb <matthieu@herrb.eu>

commit 4b0126a2bd8b77710684301284f5448e3d1b53ec
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:21 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 8e2f2d5389f945fa4254efe721d377426c4a326c
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5e712d2facb5ab78d2c12c398e8283d26aea535b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit dd312ea6a86472c74fc141fcfd799585a63b244f
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jan 4 17:37:06 2012 -0500

    autogen.sh: Implement GNOME Build API
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 54654ce684f940603d4b2b8561811bf88c18b098
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jan 26 11:19:23 2017 +1000

    Drop maintainer mode from autogen.sh
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8081bdcaeae7dce7b4ffa5ada4737716421dba47
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Fri Jun 26 10:31:53 2015 +0200

    Add NetBSD/amd64 support for iopl calls.
    
    While here, correct AC_DEFINE usage.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Thomas Hellstrom <thellstrom@vmware.com>

commit e57a592d35273f1e5ba5c944b8bc87efb9503c32
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Fri Jun 26 10:34:42 2015 +0200

    Replace unportable test(1) operator.
    
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Thomas Hellstrom <thellstrom@vmware.com>

commit bbe41fae444e58c98db64db20114418ec78b99d6
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Thu Jun 25 03:20:34 2015 -0700

    Bump version number for release
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Trivial.

commit d2040bd52d2dde08ce729dedabb350d3476e294a
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Wed Apr 8 23:26:34 2015 -0700

    vmmouse: Bump version number for release
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>

commit 5b7d9cf15ae44361a3de506916f769d8dfec61d1
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Wed Apr 8 18:25:41 2015 +0200

    vmmouse: Fix vmmouse_detect build on BSD
    
    Tested with FreeBSD, but changes affect also OpenBSD and NetBSD to fix
    compiling and linking with the relevant system libraries.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Brian Paul <brianp@vmware.com>
    Acked-by: Sinclair Yeh <syeh@vmware.com>

commit c8ec00f537a640db049a1afb44a31c2199859085
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Thu Jan 15 10:59:46 2015 +0100

    vmmouse: Add support for the access restrict command
    
    The access restrict command, if implemented, restricts vmmouse port
    access to the indicated level.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Michael Banack <banackm@vmware.com>

commit d5c1493b5fe0871f4f2823125f0d49f8e1edcda7
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Thu Jan 15 10:14:30 2015 +0100

    vmmouse: Run vmmouse_detect as an io privileged process
    
    Many distros already include patches to do this in various more or less
    hackish ways. Since VMware now is about to restrict access to the VMmouse
    backdoor, let's try to support it officially.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Acked-by: Sinclair Yeh <syeh@vmware.com>

commit 1cbbc03c4b37d57760c57bd2e0b0f89d744a5795
Author: Stefan Dirsch <sndirsch@suse.de>
Date:   Tue Oct 7 11:32:01 2014 +0200

    vmmouse_client.h: Include xorg-server.h before xf86_OSproc.h
    
    xf86_OSproc.h cannot be included without first including xorg-server.h.
    
    Without this the build fails on systems with the latest glibc,
    throwing this error:
    
    In file included from /usr/include/string.h:634:0,
                     from /usr/include/xorg/os.h:53,
                     from /usr/include/xorg/misc.h:115,
                     from /usr/include/xorg/window.h:50,
                     from /usr/include/xorg/globals.h:7,
                     from /usr/include/xorg/opaque.h:34,
                     from /usr/include/xorg/xf86_OSproc.h:127,
                     from vmmouse_client.h:42,
                     from vmmouse_client.c:38:
    /usr/include/xorg/os.h:579:1: error: expected identifier or '(' before '__extension__'
    strndup(const char *str, size_t n);
    
    This is caused by HAVE_STRNDUP not being set (it is set from xorg-server.h),
    causing os.h to redefine it.
    
    Signed-off-by: Stefan Dirsch <sndirsch@suse.de>
    Reviewed-by: Daniel Stone <daniels@collabora.com>
    Acked-by: Thomas Hellstrom <thellstrom@vmware.com>

commit 576e8123d9f9f01ef6041cdfb96ca811197d05d2
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Wed Oct 1 21:04:30 2014 +0200

    Back off if we detect a vmmouse kernel driver v3
    
    If a vmmouse kernel driver is active, vmmouse input is handled by the Xorg
    evdev driver and not by the vmmouse driver, so make sure the vmmouse_detect
    utility doesn't detect a vmmouse if a kernel driver is active.
    
    v2: Change the vmmouse kernel device name, fix comment.
    v3: Fix up libudev error handling.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Sinclair Yeh <syeh@vmware.com>

commit de58228aaf226baac21f4bb31712f7257b221370
Author: LoÃ¯c Yhuel <loic.yhuel@gmail.com>
Date:   Sat Jul 12 07:29:24 2014 +0200

    Fix wheel button labels
    
    Wheel is using buttons 4/5, but btn_labels array is 0-based.
    It matches mouse and evdev drivers, and fixes wheel in Qt5.3.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 336f8633837abe4a1e5ba84b53ac8b9dac5d29a2
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Thu Nov 28 11:59:53 2013 -0800

    Always include config.h first
    
    This fixes some build warnings about CSRG_BASED being redefined due to
    incorrect header include ordering.
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit 05492b038e7773aa8f90449387cde89e10bc614c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Sep 30 13:56:53 2013 -0400

    tools: make install fails when user has no write permission in /lib
    
    The location of the udevdir is obtained from pkg-config. This is generally
    /lib/udev. Most people run their build scripts as non-root and do not want to
    overwrite or add files on their workstation system.
    
    This was not the behaviour in release 12.8.0. The code in configure.ac set
    udevdir based on common installation prefixes /usr or /usr/local for which
    the user would probably have root permission anyway. Other prefixes would
    be assigned a udevdir value under the given $prefix.
    
    The patch proposes the default location $libdir/udev/rules.d and no longer
    seeking it's value from pkg-config, just like what was done for hal.
    
    The expectation is that the xorg source tree can be built from top to bottom
    out of the box without tweaks or workarounds. A developer need to
    manually install a rule under development and run an admin command for it to
    take effect. Unlike binaries or libraries, there is no "path" style
    variable to append a rule in development from a different location.
    
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>

commit 740f2cbcc0781109a6c898685b5200bdb55acac8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 21 14:09:04 2013 +1000

    Drop AM_MAINTAINER_MODE
    
    Long writeup:
    http://blogs.gnome.org/desrt/2011/09/08/am_maintainer_mode-is-not-cool/
    
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9a815289f9df5577f5fdf4c2463b614a93819b7d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Feb 11 15:27:26 2013 +1000

    Don't de-reference pMse if it hasn't been initialised yet
    
    If the device fails PreInit, UnInit is still called by pMse may be NULL.
    Dereferencing it is a bad idea.
    
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3d5b85d62c11a9f816dbcc041cb2ac2150af666d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jan 30 10:54:11 2013 +1000

    Handle DEVICE_ABORT on ABI 19.1
    
    Called on server abort, so let's just do the absolute minimum.
    
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>

commit eb23b149c176d1c735b4c658b33ce6686e47618b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Sep 22 18:09:27 2013 -0400

    "make dist" fails when workstation has no udev package
    
    Unable to create a tar file for the vmmouse package or run distcheck for that
    matter. In tools, when the dev package is not installed, the makefile code
    under HAS_UDEV_RULES_DIR is commented out. That leaves $(udev_DATA) empty
    which causes EXTRA_DIST to be missing a file.
    
    The solution is to spell out the file name. The name can never change as the
    content of the tarball must be the same for everyone creating a tar file from
    git, regardless of their workstation configuration.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 60a6e4ec6068f7b3f237ca0a044cd31d3bcf1aeb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Sep 22 17:07:14 2013 -0400

    Autoconf: Fix deprecated use of AC_OUTPUT
    
    Use AC_CONFIG_FILES (once or more) and then AC_OUTPUT.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 64df5e5fdef9c34bad4edf90ee5f489a5c519405
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Sep 22 16:58:27 2013 -0400

    Autoconf: minimum level required is 2.60
    
    The minimum for all X.Org modules.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c37d1dcf76eb9c9df7c69fe6d4d082350553a1a0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Sep 22 16:55:42 2013 -0400

    Autoconf: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    Just a macro name change.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d695372a7f8c54c0297c4dbd3513175417eade40
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Sep 22 16:50:58 2013 -0400

    Autoconf: remove AC_PROG_CC which overrides AC_PROG_CC_C99 from util-macros
    
    All other X.Org modules and mainly the server are using C99 compiler.
    Currently the compiler gets initialized twice, once to C99 from
    util-macros and once to C89 from configure.ac.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8cb6254ad3068537e74faaf80b9e346e525ea92d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Feb 1 11:52:53 2013 +1000

    Free the vmmouse data on UnInit
    
    xf86DeleteInput() will free pInfo->private, but not the one hanging off
    that.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Tested-by: Zack Rusin <zackr@vmware.com>

commit a2e4aa9d2002dad6e976d9e4d3f129ad3127be81
Author: Zack Rusin <zackr@vmware.com>
Date:   Tue Jan 15 12:03:28 2013 -0800

    vmmouse release 13.0.0
    
    Signed-off-by: Zack Rusin <zackr@vmware.com>

commit 1b40f1e1f61b5f44836ba5cd5d487cf57f6608ac
Author: Zack Rusin <zackr@vmware.com>
Date:   Thu Dec 6 16:37:19 2012 -0500

    vmmouse 12.9.99.901
    
    Internal release for QE testing
    
    Signed-off-by: Zack Rusin <zackr@vmware.com>

commit cabf4cb7c0ba3e535068ebb1d80108a26dddddaa
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Aug 21 14:03:55 2012 +1000

    Fix compiler warnings about unused variables
    
    vmmouse.c: In function 'MouseCommonOptions':
    vmmouse.c:732:16: warning: variable 'from' set but not used
    [-Wunused-but-set-variable]
    
    vmmouse.c: In function 'MouseCommonOptions':
    vmmouse.c:733:8: warning: variable 'origButtons' set but not used
    [-Wunused-but-set-variable]
    
    vmmouse.c: In function 'VMMouseDeviceControl':
    vmmouse.c:838:19: warning: variable 'mPriv' set but not used
    [-Wunused-but-set-variable]
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Thomas Hellstrom <thellstrom@vmware.com>

commit 393880d2e6fe7f744e6c701a4fde6116a7278325
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Aug 21 14:03:54 2012 +1000

    Use sigsafe logging in ReadInput path
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Thomas Hellstrom <thellstrom@vmware.com>

commit dba73cebb527bb36a3d17d67b1e8e1892852b240
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Aug 5 08:12:15 2012 +1000

    Fetch the udev dir from udev.pc instead of guessing based on prefix
    
    Reviewed-by: Gaetan Nadon<memsize@videotron.ca>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>

commit 3c8ccf5eec3177ed8976ed5ff04795a20287d2d8
Author: Stephen Brooks <nightbikeman@gmail.com>
Date:   Wed May 18 22:48:34 2011 +0100

    Reset ps2buttons to avoid button messages from being discarded.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>
    Signed-off-by: Stephen Brooks <nightbikeman@gmail.com>

commit 3a828d876772d05577b9372e8f6dc068794f4704
Author: Jakob Bornecrantz <jakob@vmware.com>
Date:   Tue May 22 20:14:25 2012 +0200

    vmmouse 12.8.0
    
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>

commit 2a321a39350aa020a8103813bed61ff559088195
Author: Zack Rusin <zackr@vmware.com>
Date:   Thu May 10 19:55:01 2012 -0400

    Revert "Adjust the kernel name in the udev file."
    
    This reverts commit 189dc266a66485d48303acbc1a4fbe4642c75e9f.
    
    It seems that for some reason the device routing is breaking with this.
    Possibly related to Win7 x64 hosts because it's not reproducible on
    GNU/Linux hosts. Semantially we'd still like to match only on mouse
    kernel but for the time being this seems to cause more problems
    than it solves. Hence the revert.

commit 55efac85ca9bd2041240ca29316ca716ddc2185d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue May 1 16:20:59 2012 -0400

    config: replace obsolete AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Moved up in the autoconf init section.
    It has been removed from Automake 1.12.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Zack Rusin <zackr@vmware.com>

commit 840dcbf947dd9d1383777c3cd811ff680cef5f16
Author: Michal Srb <msrb@suse.com>
Date:   Thu May 3 17:55:24 2012 +0200

    Enable hardware access during vmmouse preinit.
    
    Vmmouse driver uses outl calls but never requests hardware access.
    In case there are no other drivers that requests it, vmmouse
    initialization will fail. (Found on KVM virtual machine with fbdev
    graphics driver and vmmouse input driver.)
    
    Request hardware access in same way xf86-input-keyboard does.
    
    Signed-off-by: Zack Rusin <zackr@vmware.com>

commit e925b2e6e9d548db5a6646a76d513fb6881f69b4
Author: Zack Rusin <zackr@vmware.com>
Date:   Thu Mar 8 09:51:48 2012 -0500

    vmmouse 12.8.0
    
    bump the version number for the new release
    
    Signed-off-by: Zack Rusin <zackr@vmware.com>

commit 189dc266a66485d48303acbc1a4fbe4642c75e9f
Author: Zack Rusin <zackr@vmware.com>
Date:   Wed Mar 7 23:22:35 2012 -0500

    Adjust the kernel name in the udev file.
    
    Some distros (most notable OpenSuSE) are unable to match on the
    'event' devices, since we should be using 'mouse' kernel anyway
    (because that's what the 'udevadm info' reports) switch to it in the
    rules file.
    
    Signed-off-by: Zack Rusin <zackr@vmware.com>
    Reviewed-by: Jakob Bornecrantz <jakob@vmware.com>

commit 3960dd29b4e839d224b9da4e28ab4302832e906f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sat Nov 12 14:08:13 2011 +1000

    Deal with opaque InputOption types in ABI 14
    
    Tested-by: Jakob Bornecrantz <jakob@vmware.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Jakob Bornecrantz <jakob@vmware.com>

commit fd140bfbea9fac8f05ad525dd798a5ca39f68c44
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Tue Apr 5 14:42:37 2011 +0200

    Make the fdi script work with FreeBSD
    
    The key "input.originating_device" is not present on FreeBSD.
    Use "freebsd.driver" instead.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>
    Reviewed-by: Michel Dänzer <daenzer@vmware.com>

commit de2b5ca7a76f1ffac1e8d4ed88408dda0f77a83c
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Wed Mar 2 11:50:12 2011 +0100

    vmmouse 12.7.0
    
    Remove trailing zero from version number.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>

commit cfaffd24413a31ebd7ae766ac39ed366902e38e5
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Wed Mar 2 09:06:47 2011 +0100

    vmmouse 12.7.0.0
    
    VMware internal testing completed.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>

commit 07232feb6b5acc5c25e9cdf12b804397ca52dbce
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Wed Dec 8 10:07:20 2010 +0100

    vmmouse 12.6.99.901
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>

commit 5d0ba2e03718b73013519fc0a1c74f2ef5f4e7ad
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Wed Dec 1 10:04:01 2010 +0100

    Make the .fdi script work on solaris
    
    Solaris doesn't use the same HAL device naming as Linux.
    Use the common part of the device name.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>

commit e5987a4e60d4e05159c7cc4a24cee6daed36c770
Author: Thomas Hellstrom <thellstrom@vmware.com>
Date:   Thu Nov 4 09:09:52 2010 +0100

    Make the modinfo sring contain an optional subpatch number
    
    The idea is that the build system assigns this number if needed.
    As an example it might be the commit number since the last version tag.
    
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>

commit 3ef519e91fb85261834a3f4ff6982c0a9f86d616
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Nov 2 09:23:10 2010 +1000

    Adjust to input ABI 12.
    
    New PreInit prototype that requires reshuffling.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>

commit 3d97fa1c3a5404ae02ed67eb94a5519394ba2bf5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Nov 2 09:23:41 2010 +1000

    Move allocation of mPriv down.
    
    No functional change. If we get to this point, we know it's available.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Acked-by: Thomas Hellstrom <thellstrom@vmware.com>

commit 4e08974ead62fc50ebbe0190abce78c5de3fcdff
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Nov 2 09:04:45 2010 +1000

    ABI 12 requires valuator modes to be specified.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Acked-by: Thomas Hellstrom <thellstrom@vmware.com>

commit 4527ef863a4c4d3e499007abb65dbb5e086219e8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Oct 26 10:43:42 2010 +1000

    Move passthrough initialization out into a separate function.
    
    No functional changes, just modularising a bit to make future changes
    easier.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Thomas Hellstrom <thellstrom@vmware.com>

commit 6561d57d4cc8ba5a68c4f333a48eb2f9f131be7b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Oct 26 10:38:57 2010 +1000

    Remove superflouous assignment.
    
    mPriv is freed a few lines down, assigning anything here makes no
    difference.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Acked-by: Thomas Hellstrom <thellstrom@vmware.com>

commit 4345af5cacec0501a045a303ff9816098b0d63d0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Oct 26 10:16:28 2010 +1000

    Replace LocalDevicePtr with InputInfoPtr.
    
    The LocalDevicePtr define was removed from the server with ABI 12, but
    InputInfoPtr has been an alias for it since the Xfree86/Xorg fork.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Acked-by: Thomas Hellstrom <thellstrom@vmware.com>

commit 8962e5c7c521e6cf28f464a9cdb80bd37f2f4328
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 19 20:20:01 2010 -0400

    make: remove duplicate definition of EXTRA_DIST
    
    autoreconf -vfi produces this output:
    tools/Makefile.am:59: EXTRA_DIST multiply defined in condition TRUE ...
    tools/Makefile.am:36: ... `EXTRA_DIST' previously defined here
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Acked-by: Thomas Hellstrom <thellstrom@vmware.com>

commit d060a173af59cfde74aa5aa9a59557f509022421
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 19 20:20:02 2010 -0400

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    Use the appropriate platform version of sed
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Acked-by: Thomas Hellstrom <thellstrom@vmware.com>

commit 61944e4497a65370716fa067f4b6a8643d089a24
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 19 20:20:03 2010 -0400

    tools make: use Autoconf provided $(AM_V_GEN)$(SED)
    
    Enables silent rule and use platform appropriate version of sed.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Acked-by: Thomas Hellstrom <thellstrom@vmware.com>

commit 3b290e278b3721bef01ecc8ebc04a9a2992f7558
Author: Trevor Woerner <twoerner@gmail.com>
Date:   Tue Oct 19 15:10:45 2010 -0400

    InputDriverRec XINPUT cleanup.
    
    ABI version 11 of the InputDriverRec data structure no longer
    includes the refCount member.
    
    Signed-off-by: Trevor Woerner <twoerner@gmail.com>
    Reviewed-by: Thomas Hellstrom <thellstrom@vmware.com>

commit 8650db94573e73953ba9718a2cc2644b38adc306
Author: Trevor Woerner <twoerner@gmail.com>
Date:   Tue Oct 19 15:09:55 2010 -0400

    Deprecated code cleanup.
    
    Replace calls to deprecated dynamic memory wrapper functions
    in driver code.
    
    Signed-off-by: Trevor Woerner <twoerner@gmail.com>
    Reviewed-by: Thomas Hellstrom <thellstrom@vmware.com>

commit adc177e3af9dc5da982ceb7a93e9c5e3bc6aed59
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Aug 10 10:36:33 2010 -0400

    xf86-input-vmmouse 12.6.10
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit cc76aec9b712403c777b7ce1290fa1e7ca62bf8c
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Aug 10 10:36:21 2010 -0400

    Fix distcheck

commit 61608b87c01ce87bd29869c1554a2ade5998782c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jul 9 20:45:53 2010 -0700

    Improve Solaris compatibility of hal-probe-vmmouse generation rule
    
    Use $(SED) from AC_PROG_SED to ensure a good version of sed is found
    Use explicit input file name instead of $< to workaround Solaris make
    issue with $< in explicit rules.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d7700bed84f6632913a6590cc9cc9d10b815a08c
Author: Fernando Carrijo <fcarrijo@yahoo.com.br>
Date:   Thu Jul 1 07:14:14 2010 -0300

    Purge macro NEED_EVENTS
    
    Signed-off-by: Fernando Carrijo <fcarrijo@yahoo.com.br>
    Acked-by: Tiago Vignatti <tiago.vignatti@nokia.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4e3bf19d2637cb034e31611ef184348f12677e81
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Jun 12 10:09:48 2010 -0400

    COPYING: update and refactor Copyright notices
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 833698b3b9857fda176c91a0dbb128275a174624
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Apr 25 19:36:19 2010 -0400

    config: git ignore recently added 69-xorg-vmmouse.rules
    
    Was added in 1d1c0514158abb66388ee4eb44764d201203a863
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1d1c0514158abb66388ee4eb44764d201203a863
Author: Jakob Bornecrantz <jakob@vmware.com>
Date:   Mon Apr 19 15:29:41 2010 +0100

    Only match against event[0-9] in udev rules
    
    It looks like the udev rule was matched against two devices which caused
    the driver to be loaded twice. We shouldn't match against the other
    device because it will very seldom send bogus events. Some of the bug
    this caused was buttons getting stuck.

commit b22d830a4e1c609a709e71c306a3b3a8ff8a6078
Author: Julien Cristau <jcristau@debian.org>
Date:   Sat Apr 17 01:39:23 2010 +0200

    Don't clobber CFLAGS
    
    CFLAGS is a user variable, don't set it from configure.

commit 1cba87aab183eb3846757a0ee0828e3eb119a6e6
Author: Julien Cristau <jcristau@debian.org>
Date:   Sat Apr 17 01:30:15 2010 +0200

    Include exevents.h for XIGetKnownProperty
    
    Fixes this compiler warning:
    vmmouse.c: In function â€˜VMMouseDeviceControlâ€™:
    vmmouse.c:734: warning: implicit declaration of function â€˜XIGetKnownPropertyâ€™
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 01f03ca8fbca96957d6c2718f4279e31cb406c2f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Apr 9 08:30:26 2010 +1000

    Bump for 12.6.9 release.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7b2ff5322b298ed8458c7442a16b8c0a14bcc5dc
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Apr 9 07:57:17 2010 +1000

    man: move vmmouse_detect back to section 1
    
    Was moved to section 4 in commit 36c2cd8ec6d3bf7191a98a04a876e8d7b6f64d5d,
    "man: build vmmouse_detect man page".
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 21f53010d204c681e1a82b176841c2d4af8f61d8
Author: Michel DÃ¤nzer <daenzer@vmware.com>
Date:   Thu Apr 8 16:18:07 2010 +0200

    Bump for 12.6.8 release.

commit 80f671233e583ae085986bce12057fc45da444aa
Author: Michel DÃ¤nzer <daenzer@vmware.com>
Date:   Thu Apr 1 18:35:38 2010 +0200

    Add InputClass support.
    
    The InputClass can match the tag "vmmouse". A sample xorg.conf.d snippet is
    provided to try and make sure the driver will be loaded automatically in a
    compatible VM also if the X server uses udev instead of HAL.
    
    The configure script tries to determine if and where it makes sense to install
    the udev rule and xorg.conf.d snippet but allows overriding both.
    
    Thanks to Timo Aaltonen for the udev rules file and Dan Nicholson and Simon
    Thum for review and suggestions for improvement.

commit b9c3bc94ee86a72216e9738aaecede80cc1c043c
Author: Michel DÃ¤nzer <daenzer@vmware.com>
Date:   Thu Apr 8 16:09:51 2010 +0200

    Improve make rule for hal-probe-vmmouse.
    
    Make sure changes to hal-probe-vmmouse.in get picked up automatically and
    simplify the way it's passed to sed.
    
    Thanks to Dan Nicholson for the suggestion.

commit 36c2cd8ec6d3bf7191a98a04a876e8d7b6f64d5d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Mar 26 20:44:23 2010 -0400

    man: build vmmouse_detect man page
    
    The generated file was checked-in and was wrong.
    The file suffix is now computed based on the platform
    The macro substitution has been restored
    
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 27813c665b0eed0b3d8b4db5fcb555f20fe60c4a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Mar 20 13:21:12 2010 -0400

    make: remove unrequired INCLUDES = -I$(srcdir)
    
    Already covered by DEFAULT_INCLUDES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 40ba06b1389ab68482b3aa3ed69292011c09f9dd
Author: Jakob Bornecrantz <jakob@vmware.com>
Date:   Thu Mar 18 16:23:27 2010 +0100

    Bump for 12.6.7 release.

commit fae10ac6c613f6de847e152d615e6da421147139
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri Feb 26 17:30:08 2010 +0100

    vmmouse: don't hardcode the module version in the source
    
    XORG_RELEASE_VERSION gives us that info from configure.ac, let's use it.
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit f3ef776415820c7da1728d1fe27dd56dc24e935f
Author: Julien Cristau <jcristau@debian.org>
Date:   Wed Feb 10 02:16:43 2010 +0100

    Bump to 12.6.6
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit ae58da22e6f4798498a1e9a0b1b6c6c0f19e2532
Author: Julien Cristau <jcristau@debian.org>
Date:   Wed Feb 10 02:15:38 2010 +0100

    Require xorg-macros 1.4 for XORG_INSTALL
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit aca67eca8bbb1368a2f36614b0e78b98947f134f
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 15:15:54 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit b3b9f36deb3fb1fcf66e591fcb075fe295e0cf0e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Dec 15 22:01:02 2009 -0500

    configure.ac: remove unused sdkdir=$(pkg-config...) statement
    
    The sdkdir variable isn't use, so remove the statement.
    
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 4eb807b3e7271f5116daebea9412c72e2faae4a5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 23 09:25:05 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 9bdfaffc1b858737c3fe85bc9b0bb25001f46460
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Nov 20 10:09:24 2009 +1000

    Remove unused bits from configure.ac
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 1f8df297b4d57e2da58faf26df378548efa47251
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:41:41 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Automake 'foreign' option is specified in configure.ac.
    Remove from Makefile.am

commit c2f77dcc95ecb5e3cfa1235e67b085aa93e4a724
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:09 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit db91ec37ea274f69eb5d07c41bef787d5e9537a5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 12:54:20 2009 -0400

    Several driver modules do not have a ChangeLog target in Makefile.am #23814
    
    The git generated ChangeLog replaces the hand written one.
    Update configure.ac to xorg-macros level 1.3.
    Use XORG_DEFAULT_OPTIONS which replaces four XORG_* macros
    Update Makefile.am to add ChangeLog target if missing
    Remove ChangeLog from EXTRA_DIST or *CLEAN variables
    This is a pre-req for the INSTALL_CMD

